# Get Endpoint - GetIdentityById
Loads infos about specified ELO user from provided repository.
# HTTP Request
One of the following requests should be made:
GET /odata/eloidentities/elosync.userorgroup(id={id},repository={repository})
GET /odata/eloidentities/userorgroup(id={id},repository={repository})
The endpoint supports the following OData query parameters: $select, $expand
# Path parameters
| Name | Description |
|---|---|
| id | required |
| repository | required |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | Loading ELO identity was successfully. | array EloIdentityEntity |
400 | Provided request data is invalid. | |
401 | Loading ELO identity has failed. Caller has not neccessary rights to load elo identities. | |
500 | When an server error occures during the load of identites. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/eloidentities/userorgroup?repository=repo1&id=1234
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"value": [
{
"id": "36b2a0f8-3f0e-4c1c-8001-0d92b236fcf0",
"idAsNumber": 1234,
"name": "JohnDoe",
"isAdministrator": false
}
],
"@odata.nextLink": "..."
}